*, body {
    font-family: "Barlow";
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: var(--brand-600);
}

.grafika-obal .box-container {
    box-shadow: rgba(0, 0, 0, 0.03) 0px 2px 4px 0px inset;
}
.grafika-obal .box-container .box-container-title {
    margin-bottom: var(--spacing-xs) !important;
}
.grafika-obal .box-container .update-info {
    margin-bottom: var(--spacing-l);
    font-size: 0.875rem;
    color: var(--brand-300);
}

.grafika-obal .box-container .box-table {
    position: relative;
    border-collapse: collapse;
    width: 100%;
}
.grafika-obal .box-container .box-table thead tr {
    border-bottom: 2px solid var(--brand-blue-600);
}
.grafika-obal .box-container .box-table thead tr th {
    color: var(--brand-blue-600);
    font-weight: 700;
}
.grafika-obal .box-container .box-table tbody tr:hover {
    background: var(--brand-blue-200);
}
.grafika-obal .box-container th,
.grafika-obal .box-container td {
    padding: 10px var(--spacing-xs);
    border-bottom: 1px solid var(--brand-blue-200);
    text-align: center;
    font-size: 1rem;
    line-height: 1;
    height: 38px;
}

.grafika-obal .box-container tr:last-child td {
    border-bottom: none;
}

.grafika-obal .box-container .flag {
    width: var(--spacing-xl);
    height: auto;
    max-height: 20px;
    vertical-align: middle;
    margin-right: var(--spacing-s);
}

.grafika-obal .box-container .flag-placeholder {
    width: 24px;
    height: 16px;
    display: inline-block;
    background-color: var(--brand-100);
    border: 1px solid #ccc;
    text-align: center;
    line-height: 14px;
    font-size: 10px;
    font-weight: bold;
    color: var(--brand-400);
    margin-right: var(--spacing-s);
    vertical-align: middle;
}

/* Štýl pre skóre počas živého zápasu */
.grafika-obal .box-container .live-score {
    color: var(--brand-red-600);
    font-weight: bold;
    animation: colorChange 2s ease-in-out infinite;
}

/* Definícia animácie blikania */
@keyframes colorChange {
    50% {
        color: var(--brand-600);
    }
}
.grafika-obal .box-container #loader {
    display: none;
    position: relative;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: var(--spacing-m);
    padding: var(--spacing-xl);
    min-height: 180px;
}

.grafika-obal .box-container #loader-carousel,
.grafika-obal .box-container #loader-table,
.grafika-obal .box-container #loader-events {
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: var(--spacing-m);
    padding: var(--spacing-xl);
    min-height: 160px;
}
.grafika-obal .box-container .loader-spinner {
    width: 50px;
    height: 50px;
    border: 6px solid #ffffffa1;
    border-top-color: var(--brand-blue-600);
    border-radius: 50%;
    animation: spin 1s linear infinite;
}
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.grafika-obal .box-container #loader span,
.grafika-obal .box-container #loader-carousel span,
.grafika-obal .box-container #loader-table span,
.grafika-obal .box-container #loader-events span {
    color: var(--brand-blue-400);
    font-size: 0.875rem;
    font-weight: 500;
}
  
.grafika-obal .box-container .highlight-cz {
    background-color: var(--brand-orange-200) !important;
    font-weight: bold;
}

.grafika-obal .box-container .toggle-btn-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: var(--spacing-l);
    margin-top: var(--spacing-xl);
    margin-bottom: var(--spacing-xs);
}

.grafika-obal .box-container .toggle-btn {
    cursor: pointer;
    position: relative;
    border: none;
    display: block;
    background: var(--brand-blue-600);
    color: var(--brand-50);
    font-size: 0.75rem;
    font-weight: 600;
    text-decoration: none;
    text-transform: uppercase;
    padding: var(--spacing-m);
    border-radius: var(--radius-xs);
    transition: var(--transition-015);
    box-shadow: 3px 3px 0px 0px rgba(0, 0, 0, 0.05);
}
.grafika-obal .box-container .toggle-btn:hover {
    background: var(--brand-blue-500);
}
.grafika-obal .box-container .toggle-btn.active {
    background: var(--brand-600);
}

.grafika-obal .box-container .td-online a {
    background: var(--brand-red-500);
    color: var(--brand-red-100);
    font-size: 0.75rem;
    padding: var(--spacing-xs) var(--spacing-s);
    border-radius: var(--radius-xs);
    text-decoration: none;
    cursor: pointer;
    box-sizing: border-box;
    font-weight: bold;
}

.grafika-obal .box-container .td-online a:hover {
    text-decoration: underline;
}

@media screen and (max-width: 520px) {
    .grafika-obal .box-container th,
    .grafika-obal .box-container td {
        padding: var(--spacing-s) var(--spacing-xxs);
        font-size: 0.75rem;
        height: 34px;
        letter-spacing: -0.2px;
    }
    .grafika-obal .box-container .update-info { font-size: 0.875rem; letter-spacing: -.25px;}
    .grafika-obal .box-container .hide-smart { display: none;}
    .grafika-obal .box-container .flag,
    .grafika-obal .box-container .flag-placeholder { width: 20px; margin-right: var(--spacing-xs);}
    .grafika-obal .box-container .toggle-btn-wrapper { gap: var(--spacing-m);}

    .grafika-obal .box-container .td-online a {
        font-size: 0.6875rem;
        letter-spacing: -.25px;
    }
    .grafika-obal .box-container .box-table thead tr th {
        letter-spacing: -0.2px;
    }
}

@media screen and (max-width: 480px) {
    .grafika-obal .box-container .flag,
    .grafika-obal .box-container .flag-placeholder { width: 18px; margin-right: var(--spacing-xxs);}

    .grafika-obal .box-container .box-table tbody tr:hover {
        background: var(--brand-blue-100);
    }
}